header nav {
    width: 100%;
    height: 80px;
    display: flex;
    position: fixed;
    z-index: 1;
}

header nav .rc-logo {
    width: 60px;
    height: 60px;
    position: absolute;
    top: 10px;
    left: 20px;
    transition: all .3s ease-in-out;
}

header nav .rc-menu-icon {
    position: absolute;
    top: 35px;
    right: 20px;
    display: inline-block;
    cursor: pointer;
    user-select: none;
    z-index: 5;
}

header nav .rc-menu-icon .rc-navicon {
    background: transparent;
    width: 25px;
    height: 4px;
    position: relative;
    display: block;
    transition: all .2s ease-out;
}

header nav .rc-menu-icon .rc-navicon:before,
header nav .rc-menu-icon .rc-navicon:after {
    content: '';
    background: var(--hexcolor-3);
    width: 100%;
    height: 100%;
    position: absolute;
    display: block;
    transition: all .2s ease-out;
}

header nav .rc-menu-icon .rc-navicon:before {
    top: 6px;
}

header nav .rc-menu-icon .rc-navicon:after {
    top: -6px;
}

header nav .rc-menu-btn {
    display: none;
}

header nav .rc-menu-btn:checked~.rc-menu {
    max-height: 100vh;
}

header nav .rc-menu-btn:checked~.rc-menu-icon .rc-navicon {
    background: transparent;
}

header nav .rc-menu-btn:checked~.rc-menu-icon .rc-navicon:before {
    background: var(--hexcolor-3);
    transform: rotate(-45deg);
}

header nav .rc-menu-btn:checked~.rc-menu-icon .rc-navicon:after {
    background: var(--hexcolor-3);
    transform: rotate(45deg);
}

header nav .rc-menu-btn:checked~.rc-menu-icon:not(.steps) .rc-navicon:before,
header nav .rc-menu-btn:checked~.rc-menu-icon:not(.steps) .rc-navicon:after {
    background: var(--hexcolor-3);
    top: 0;
    box-shadow: none;
}

header nav .rc-menu {
    width: 100%;
    height: 100vh;
    max-height: 0;
    clear: both;
    transition: max-height .3s ease-out;
}

header nav ul.rc-menu {
    background-color: var(--hexcolor-2);
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
}

header nav ul.rc-menu li a {
    height: calc((100vh - 80px) * .25);
    padding-left: 10px;
    float: left;
    color: var(--hexcolor-1);
    text-transform: uppercase;
    border-top: 1px solid var(--hexcolor-1);
    transition: all .2s ease-in-out;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-content: space-between;
    transition: all .3s ease-in-out;
}

header nav ul.rc-menu li a:hover {
    background-color: var(--hexcolor-1);
}

header nav ul.rc-menu li a:hover p {
    color: var(--hexcolor-darkgray);
}

header nav ul.rc-menu li a:hover img {
    filter: saturate(0) brightness(.33);
}

header nav ul.rc-menu li a.rc-menu-active:hover {
    background-color: var(--hexcolor-3);
}

header nav ul.rc-menu li a.rc-menu-active:hover p {
    color: var(--hexcolor-1);
}

header nav ul.rc-menu li a.rc-menu-active:hover img {
    filter: none;
}

header nav ul.rc-menu li:first-child a,
header nav ul.rc-menu li:nth-child(4) a,
header nav ul.rc-menu li:nth-child(5) a,
header nav ul.rc-menu li:nth-child(6) a,
header nav ul.rc-menu li:nth-child(7) a,
header nav ul.rc-menu li:nth-child(8) a {
    border-right: 1px solid var(--hexcolor-1);
}

header nav ul.rc-menu a.rc-menu-active {
    background-color: var(--hexcolor-3);
    color: var(--hexcolor-1);
}

header nav ul.rc-menu li a {
    text-decoration: none;
}

header nav ul li:nth-child(-n+2) a {
    margin-top: 80px;
}

header nav ul li:nth-child(-n+7) a {
    width: 50%;
}

header nav ul li:nth-child(3) a {
    width: 100%;
}

header nav ul li:nth-child(5) a {
    width: 50%;
}

header nav ul li:nth-child(7) a,
header nav ul li:nth-child(8) a {
    width: 25%;
    padding-left: 0;
    text-align: center;
}

header nav ul.rc-menu li a {
    text-decoration: none;
}

header nav ul.rc-menu li a img {
    width: 37px;
    padding-left: 5px;
    transition: all .3s ease-in-out;
}

header nav ul.rc-menu li a p {
    padding-left: 5px;
    color: var(--hexcolor-1);
    padding-top: 8vh;
    transition: all .3s ease-in-out;
}

header nav ul.rc-menu li.rc-menu-active a p {
    color: var(--hexcolor-1);
}

header nav ul.rc-menu li.rc-menu-active a img {
    filter: hue-rotate(6deg) brightness(70%) saturate(8.5);
}

header nav ul.rc-menu li:nth-child(6) a p {
    font-size: 6.8pt;
    text-transform: lowercase;
}

header nav ul li:nth-child(7) a,
header nav ul li:nth-child(8) a {
    align-items: center;
}

header nav ul li:nth-child(7) a img,
header nav ul li:nth-child(8) a img {
    padding-left: 0;
}


@media (min-width: 410px) {
    header nav ul.rc-menu li:nth-child(7) a p {
        font-size: 7.7pt;
    }

}


@media (min-width: 450px) {
    header nav ul.rc-menu li a img {
        width: 42px;
    }
    header nav ul.rc-menu li:nth-child(7) a p {
        font-size: 10pt;
    }

}


@media (min-width: 1200px) {
    header nav {
        height: 120px;
    }

    header nav .rc-logo {
        width: 90px;
        height: 90px;
        top: 15px;
        left: 30px;
    }

    header nav .rc-menu-icon {
        top: 55px;
        right: 30px;
    }

    header nav .rc-menu-icon .rc-navicon {
        width: 40px;
        height: 5px;
    }

    header nav .rc-menu-icon .rc-navicon:before {
        top: 8px;
    }

    header nav .rc-menu-icon .rc-navicon:after {
        top: -8px;
    }

    header nav ul.rc-menu li a {
        height: calc((100vh - 120px) * .25);
        padding-left: 20px;
        border-top: 2px solid var(--hexcolor-1);
    }

    header nav ul.rc-menu li:first-child a,
    header nav ul.rc-menu li:nth-child(4) a,
    header nav ul.rc-menu li:nth-child(5) a,
    header nav ul.rc-menu li:nth-child(7) a,
    header nav ul.rc-menu li:nth-child(8) a {
        border-right: 2px solid var(--hexcolor-1);
    }

    header nav ul li:nth-child(-n+2) a {
        margin-top: 120px;
    }

    header nav ul.rc-menu li a img {
        width: 50px;
    }

    header nav ul.rc-menu li a p {
        font-size: 18px;
    }

    header nav ul.rc-menu li:nth-child(6) a p {
        font-size: 14pt;
    }

}


@media (min-width: 1920px) {
    header nav ul.rc-menu li a img {
        width: 80px;
    }

    header nav ul.rc-menu li a p {
        font-size: 24px;
    }

    header nav ul.rc-menu li:nth-child(6) a p {
        font-size: 16pt;
    }

}